Raritan PX2/PX3 JSON-RPC API

Classes | Public Member Functions | Public Attributes | List of all members
devsettings::Zeroconf_2_0_0 Interface Reference

Zero-config service settings interface. More...

`import"Zeroconf.idl";`

## Classes
struct | Settings
| Zero-configservice settings. More...

## Public Member Functions
Settings | getSettings ()
| Retrieve the service settings. More...
void | setSettings (in Settings settings)
| Set the service settings. More...

## Public Attributes
valueobject | SettingsChangedEvent: idl::Event { Settings oldSettings
| old settings
Settings | newSettings
| new settings

## Detailed Description

Zero-config service settings interface.

## Member Function Documentation

## ◆ getSettings()

Settings devsettings::Zeroconf_2_0_0::getSettings | ( |  | ) |

Retrieve the service settings.

Returns
  Zero-config service settings

## ◆ setSettings()

void devsettings::Zeroconf_2_0_0::setSettings | ( | in Settings | settings | ) |

Set the service settings.

Parameters

  settings | New settings

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Zeroconf.idl